function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	play_field:GetLevelScreen():AddTaskSafe(CreateTask('MATCH', '', 'match'))
	
	AddRandomTasks(17,
                    CreateTask('AXE', '', 'axe'),                    
					CreateTask('BROOM', '', 'broom'),
					CreateTask('BRUSH', '', 'brush'),
					CreateTask('CANNON', '', 'cannon'),
					CreateTask('CAT', '', 'cat'),
					CreateTask('SIGN', '', 'caution'),
					CreateTask('DIVING_MASK', '', 'diving_mask'),
					CreateTask('FLAG', '', 'flag'),
					CreateTask('JAG', '', 'jag'),
					CreateTask('LEAF', '', 'leaf'),					
                    CreateTask('PADLOCK', '', 'padlock'),
					CreateTask('STICK', '', 'stick'),
					CreateTask('TAP', '', 'tap'),
					CreateTask('WATCH', '', 'watch'),
					CreateTask('APPLE', '', 'apple'),
					CreateTask('LIZZARD', '', 'lizzard'),
					CreateTask('GLASSES', '', 'glasses'),
					CreateTask('SNAIL', '', 'snail'),
					CreateTask('SLEDGEHAMMER', '', 'sledgehammer'));
	
	local object = play_field:GetObject('seashell_active_zone')
	inventory_seashell = CreateInventory(object:GetX(),
										object:GetY() + 50,
										object:GetZ() + 10,
										"seashell_active_zone",
										CreateItem('slingshot_tool', 'slingshot'),
										CreateItem('gum_tool', 'gum_scaled'),
										CreateItem('stone_tool', 'stone'),
										play_field:GetTimer(),
										"INVENTORY_TASK_18_1");
										
	inventory_seashell.OnShown = function()
		RegisterZoomZone(zoom_bench, 'bench_active_zone');
	end
	
	inventory_seashell.state_changer = 'OnShellComplete'

	inventory_seashell.OnComplete = function()
		local af = CreateAnimationEffector()
        local obj = play_field:GetObject('sprajt_shtanov_rakushka')
        af:AttachTo(obj)
        af:SetMode(_ANIM_FWD)
        af:SetKey(_TRACK_Y, 0.0, obj:GetY())
        af:SetKey(_TRACK_Y, 0.6, obj:GetY() + 50)        
        af:Play()
		PlaySound('18_SlingShot')
		RegisterZoomZone(zoom_pants, 'pants')		
	end
										
	CreateTool('slingshot', 'slingshot')
	CreateTool('stone', 'stone')
	local t = CreateTool('gum', 'gum_scaled')
	
	t.OnSet = function()
	    zoom_bench.SetVisible(false);
	    if game_state.locker:GetNReferences() > 0 then
	        game_state.locker:Release()
	    end	    
	end
	
	t.OnFail = function()
	    play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    play_field:GetObject('bench_active_zone'):GetX(),
                                    play_field:GetObject('bench_active_zone'):GetY(),
                                    300)        
	end
	
	t.OnSuccess = function()
	    UnregisterZoomZone(zoom_bench)
	end
	
	zoom_bench = CreateZoomZone('zoom1_close',
	                            '',
								'zoom1bg',
                                'gum')
    zoom_bench.SetOffsetZ(500);	
								
	zoom_pants = CreateZoomZone('zoom2_close',
	                            '',
								'zoom_shtanov_back',
                                'sprajt_spichki',
								'match')
    zoom_pants.SetOffsetZ(500);	
	
	-------------------------------------------------------------------------------------------
    -- init comics
    InitChain1(screen);
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
    InitChain2(screen);
    InitChain3(screen);
	game_state.chain3.final = true
    AddSheriffEyeLogic();
	game_state.meta_object = 'cigar18'
	
	local waterEffect = WaterEffectComposition()
	waterEffect:Play()
	waterEffect:AttachTo(screen)	
	waterEffect:SetZ(150)
	
	game_state.OnStartingComicsComplete = function()
		inventory_seashell.Unlock();
	end
	
	game_state.OnShellComplete = function()
		local af = CreateAnimationEffector()
        local obj = play_field:GetObject('sprajt_shtanov_rakushka')
		obj:SetY(obj:GetY() + 50)        
		RegisterZoomZone(zoom_pants, 'pants')		
	end
end

function OnMinigameCompleted()
end

function InitChain1(screen)
    local comics1 = CreateComics(screen, 'Refueller');
    local comics2 = CreateComics(screen, 'Sheriff', 'eyes');
    local comics3 = CreateComics(screen, 'Refueller');
    local comics4 = CreateComics(screen, 'Sheriff', 'eyes');
    
    comics4.OnHidden = function()
		comics4.DefaultOnHidden();
		inventory_seashell.Unlock();
	end
    
    game_state.chain1 = CreateChain('pixel_comics_1',
                                    screen,
                                    comics1, GetString("COMICS_18_1"),
                                    comics2, GetString("COMICS_18_2"),
                                    comics3, GetString("COMICS_18_3"),
                                    comics4, GetString("COMICS_18_4") );
end

function InitChain2(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
    game_state.chain2 = CreateChain('pixel_comics_2',
                                    screen,
                                    comics1, GetString("COMICS_18_5") );
end

function InitChain3(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
    local comics2 = CreateComics(screen, 'Refueller');
    local comics3 = CreateComics(screen, 'Sheriff', 'eyes');
    
    comics3.OnHidden = function()
		comics3.DefaultOnHidden()
		OnWin();
	end
	
    game_state.chain3 = CreateChain('pixel_comics_3',
                                    screen,
                                    comics1, GetString("COMICS_18_6"),
                                    comics2, GetString("COMICS_18_7"),
                                    comics3, GetString("COMICS_18_8") );
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
end

function OnNotebookOpened()
end


function OnUpdate(dt)
end

function OnNotebookClosed()
	game_state.chain3.Start()
end

function OnScreenShown()
    game_state.chain1.Start();
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
	if object:GetName() == 'match' then
		zoom_pants.SetVisible(false);
	    if game_state.locker:GetNReferences() > 0 then
	        game_state.locker:Release()
	    end	    
		UnregisterZoomZone(zoom_pants)
		game_state.chain2.Start();
	end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,9,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/slingshot.png',0,0,45,70,1,0)
	anim:SetHotSpot(22,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('slingshot',anim,617,336,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/stone.png',0,0,47,29,1,0)
	anim:SetHotSpot(23,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stone',anim,246,612,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Layers/sprajt_shtanov_rakushka.png',0,0,81,77,1,0)
	anim:SetHotSpot(40,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_shtanov_rakushka',anim,724,195,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/pants.png',0,0,70,81,1,0)
	anim:SetHotSpot(35,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pants',anim,717,202,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('seashell_active_zone',anim,723,201,120,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/slingshot.png',0,0,45,70,1,0)
	anim:SetHotSpot(22,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('slingshot_tool',anim,417,47,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/stone.png',0,0,47,29,1,0)
	anim:SetHotSpot(23,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stone_tool',anim,460,45,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/axe.png',0,0,39,90,1,0)
	anim:SetHotSpot(19,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('axe',anim,711,395,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/broom.png',0,0,61,115,1,0)
	anim:SetHotSpot(30,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom',anim,429,469,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/brush.png',0,0,78,35,1,0)
	anim:SetHotSpot(39,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,863,676,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/cannon.png',0,0,184,91,1,0)
	anim:SetHotSpot(92,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cannon',anim,896,107,100,-14,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/caution.png',0,0,39,38,1,0)
	anim:SetHotSpot(19,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('caution',anim,350,560,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/diving_mask.png',0,0,54,34,1,0)
	anim:SetHotSpot(27,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('diving_mask',anim,581,186,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/flag.png',0,0,58,56,1,0)
	anim:SetHotSpot(29,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flag',anim,821,515,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/jag.png',0,0,39,74,1,0)
	anim:SetHotSpot(19,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jag',anim,261,456,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/leaf.png',0,0,54,47,1,0)
	anim:SetHotSpot(27,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('leaf',anim,948,183,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/padlock.png',0,0,33,46,1,0)
	anim:SetHotSpot(16,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock',anim,894,299,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/stick.png',0,0,197,44,1,0)
	anim:SetHotSpot(98,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stick',anim,433,187,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/tap.png',0,0,37,40,1,0)
	anim:SetHotSpot(18,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tap',anim,925,493,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/watch.png',0,0,34,61,1,0)
	anim:SetHotSpot(17,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watch',anim,557,638,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Layers/sprajt_caution.png',0,0,20,18,1,0)
	anim:SetHotSpot(10,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_caution',anim,325,515,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Layers/sprajt_flaga.png',0,0,23,46,1,0)
	anim:SetHotSpot(11,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_flaga',anim,838,511,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Layers/sprajt_kisti.png',0,0,43,25,1,0)
	anim:SetHotSpot(21,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_kisti',anim,876,675,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Layers/sprajt_metelki.png',0,0,20,42,1,0)
	anim:SetHotSpot(10,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_metelki',anim,451,435,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Layers/sprajt_toporika.png',0,0,21,33,1,0)
	anim:SetHotSpot(10,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_toporika',anim,694,364,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/zoom/zoom1bg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom1bg',anim,512,384,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/zoom/gum.png',0,0,147,90,1,0)
	anim:SetHotSpot(73,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gum',anim,435,572,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/zoom/gum.png',0,0,147,90,1,0)
	anim:SetHotSpot(73,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gum_tool',anim,525,46,100,0,0.4,0.4)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/zoom/gum.png',0,0,147,90,1,0)
	anim:SetHotSpot(73,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gum_scaled',anim,772,569,100,0,0.4,0.4)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('bench_active_zone',anim,770,568,100,0,14,7)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/zoom_2/zoom_shtanov_back.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_shtanov_back',anim,512,384,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/zoom_2/sprajt_spichki.png',0,0,49,39,1,0)
	anim:SetHotSpot(24,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_spichki',anim,640,299,215,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/zoom_2/match.png',0,0,95,63,1,0)
	anim:SetHotSpot(47,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('match',anim,660,290,213,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_1',anim,512,384,5000,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_2',anim,512,384,5000,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_3',anim,512,384,5000,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,505,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,499,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Refueller.png',0,0,404,636,1,0)
	anim:SetHotSpot(202,318)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Refueller',anim,817,453,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/cat.png',0,0,53,80,1,0)
	anim:SetHotSpot(26,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cat',anim,472,539,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/apple.png',0,0,36,35,1,0)
	anim:SetHotSpot(18,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple',anim,997,554,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/glasses.png',0,0,75,43,1,0)
	anim:SetHotSpot(37,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,709,709,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/lizzard.png',0,0,59,68,1,0)
	anim:SetHotSpot(29,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lizzard',anim,958,734,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/sledgehammer.png',0,0,60,95,1,0)
	anim:SetHotSpot(30,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sledgehammer',anim,260,720,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Items/snail.png',0,0,40,37,1,0)
	anim:SetHotSpot(20,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('snail',anim,538,443,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Layers/sprajt_rakushka.png',0,0,133,73,1,0)
	anim:SetHotSpot(66,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprajt_rakushka',anim,718,275,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/cigar18.png',0,0,96,46,1,0)
	anim:SetHotSpot(48,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar18',anim,720,597,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Animation/gas1.png',0,0,40,30,25,10)
	anim:SetHotSpot(20,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gas1',anim,347,501,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_gas_station_8/Animation/gas2.png',0,0,50,50,25,10)
	anim:SetHotSpot(25,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gas2',anim,593,529,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
